%define oname libkcddb

Summary:	KDE Frameworks 5 library for retrieving and sending CDDB information
Name:		plasma5-%{oname}
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(libmusicbrainz5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kde5-l10n < 17.04

%description
KDE Frameworks 5 library for retrieving and sending CDDB information.

%files -f %{oname}.lang
%{_kde5_datadir}/config.kcfg/libkcddb5.kcfg
%{_kde5_services}/libkcddb.desktop
%{_qt5_plugindir}/kcm_cddb.so

#----------------------------------------------------------------------------

%define kf5cddb_major 5
%define libkf5cddb %mklibname kf5cddb %{kf5cddb_major}

%package -n %{libkf5cddb}
Summary:	KDE Frameworks 5 CDDB shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5cddb}
KDE Frameworks 5 CDDB shared library.

%files -n %{libkf5cddb}
%{_kde5_libdir}/libKF5Cddb.so.%{kf5cddb_major}*

#----------------------------------------------------------------------------

%define kf5cddbwidgets_major 5
%define libkf5cddbwidgets %mklibname kf5cddbwidgets %{kf5cddbwidgets_major}

%package -n %{libkf5cddbwidgets}
Summary:	KDE Frameworks 5 CDDB shared library
Group:		System/Libraries

%description -n %{libkf5cddbwidgets}
KDE Frameworks 5 CDDB shared library.

%files -n %{libkf5cddbwidgets}
%{_kde5_libdir}/libKF5CddbWidgets.so.%{kf5cddbwidgets_major}*

#----------------------------------------------------------------------------

%define devkf5cddb %mklibname kf5cddb -d

%package -n %{devkf5cddb}
Summary:	Development files for KDE Frameworks 5 CDDB library
Group:		Development/KDE and Qt
Requires:	%{libkf5cddb} = %{EVRD}
Requires:	%{libkf5cddbwidgets} = %{EVRD}
Provides:	kf5cddb-devel = %{version}

%description -n %{devkf5cddb}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5cddb}
%dir %{_kde5_includedir}/KF5/KCddb
%{_kde5_includedir}/KF5/KCddb/*
%{_kde5_includedir}/KF5/kcddb_version.h
%{_kde5_libdir}/cmake/KF5Cddb
%{_kde5_libdir}/libKF5Cddb.so
%{_kde5_libdir}/libKF5CddbWidgets.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{oname} cddbretrieval5 kcmcddb %{oname}.lang --with-kde --with-html
%kf5locales_fix %{oname}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (1b3d79c) New version 17.08.2


